bm::all_set< T > Struct Template Reference
BIT functions

Structure carries pointer on bit block with all bits 1. More...

`#include <bmfunc.h>`

Collaboration diagram for bm::all_set< T >:
[legend]

## Data Structures

struct | all_set_block

## Static Public Member Functions

static bm::id64_t | block_type (const bm::word_t *bp) BMNOEXCEPT
static BMFORCEINLINE bool | is_full_block (const bm::word_t *bp) BMNOEXCEPT
static BMFORCEINLINE bool | is_valid_block_addr (const bm::word_t *bp) BMNOEXCEPT

## Static Public Attributes

static all_set_block | _block

## Detailed Description

template<bool T>
struct bm::all_set< T >

Structure carries pointer on bit block with all bits 1.

Definition at line 1355 of file bmfunc.h.

## Member Function Documentation

## block_type()

template<bool T>

bm::id64_t bm::all_set< T >::block_type | ( | const bm::word_t * | bp | ) |

inline static

Definition at line 1386 of file bmfunc.h.

References _block, and BMNOEXCEPT.

## is_full_block()

template<bool T>

BMFORCEINLINE bool bm::all_set< T >::is_full_block | ( | const bm::word_t * | bp | ) |

inline static

Definition at line 1407 of file bmfunc.h.

References _block, and BMNOEXCEPT.

## is_valid_block_addr()

template<bool T>

BMFORCEINLINE bool bm::all_set< T >::is_valid_block_addr | ( | const bm::word_t * | bp | ) |

inline static

Definition at line 1411 of file bmfunc.h.

References _block, and BMNOEXCEPT.

## Field Documentation

## _block

template<bool T>

all_set_block bm::all_set< T >::_block

static

Definition at line 1414 of file bmfunc.h.

Referenced by block_type(), is_full_block(), and is_valid_block_addr().

The documentation for this struct was generated from the following file:

- bmfunc.h